Skip to main content
POST
/
api
/
generate
/
submit
Submit Kling 3.0 Motion Control Task
curl --request POST \
  --url https://api.poyo.ai/api/generate/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "kling-3.0-motion-control",
  "callback_url": "https://your-domain.com/callback",
  "input": {
    "image_urls": [
      "https://storage.poyo.ai/kling-3.0-motion-control/reference-image-new.png"
    ],
    "video_urls": [
      "https://storage.poyo.ai/kling-3.0-motion-control/reference-video-new.mp4"
    ],
    "character_orientation": "image",
    "resolution": "720p"
  }
}
'
{
  "code": 200,
  "data": {
    "task_id": "task-unified-1757165031-uyujaw3d",
    "status": "not_started",
    "created_time": "2025-11-12T10:30:00"
  }
}
  1. After submission, a task_id will be returned. If you provided a callback_url, when the task status becomes finished or failed, a POST request will be sent to the callback_url.
  2. Regardless of whether callback_url is provided, you can retrieve the result through the unified Query Task Status endpoint.

Kling 3.0 Motion Control

kling-3.0-motion-control combines one reference image and one reference video to transfer motion to the target character.

Available Model

  • kling-3.0-motion-control - Motion transfer from reference video to reference image

Required Parameters

  • image_urls: Exactly 1 reference image
  • video_urls: Exactly 1 reference video
  • character_orientation: image or video

Optional Parameters

  • prompt: Optional scene prompt
  • resolution: 720p or 1080p. Default is 720p

Notes

  • Images support .jpg, .jpeg, .png, up to 10MB
  • Videos support .mp4, .mov, up to 100MB
  • Reference video must be at least 3 seconds
  • When character_orientation=image, the reference video must not exceed 10 seconds
  • When character_orientation=video, the reference video must not exceed 30 seconds

Authorizations

Authorization
string
header
required

All API endpoints require Bearer Token authentication

Get your API Key:

Visit the API Key Management Page to get your API Key

Add it to the request header:

Authorization: Bearer YOUR_API_KEY

Body

application/json
model
enum<string>
required

Kling 3.0 Motion Control model identifier

Available options:
kling-3.0-motion-control
input
object
required
callback_url
string<uri>

Webhook callback URL for result notifications

Example:

"https://your-domain.com/callback"

Response

200 - application/json

Task submitted successfully

code
integer
required
Example:

200

data
object
required